<tool id="sort" name="Sort files" version="0.0.1">
  <description>  </description>
  <requirements>
    <requirement type="package" version="5.0.0">Scilab</requirement>
  </requirements>

  <command interpreter="bash">r_wrapper.sh $script_file</command>

  <inputs>
    <param name="Xdata"  format="tabular"     type="data"       label="Select dataset" />
    <param name="ysel" type="data_column"     data_ref="Xdata"  numerical="False"  multiple="False" use_header_names="true" force_select="true" label="Column of dataset chosen to sort"/>
    <param format="text" name="choice" type="select" label="sorting:">
      <option value="ascending" selected="true">ascending</option>
      <option value="descending">descending (not for factor column)</option>
    </param>
  </inputs>

  <configfiles>
    <configfile name="script_file">
      ## Setup R error handling to go to stderr
      options( show.error.messages=F,
               error = function () { cat( geterrmessage(), file=stderr() ); q( "no", 1, F ) } )
      x = read.table( "${Xdata.file_name}",h=T,sep="\t",strip.white=T,check.names=F)
      #if (str($choice)=="ascending")
      xsort=x[order(x[,c(${ysel})]),]
      #elif (str($choice)=="descending")
      xsort=x[order(-x[,c(${ysel})]),]
      #end if
      write.table(xsort, file = "${sort}",sep = "\t",quote=F,row.names = FALSE ,col.names = TRUE)

    </configfile>
  </configfiles>

  <outputs>
    <data format="input"   name="sort"         type="data"     label="sort(${Xdata.name})"/>
  </outputs>
  <tests>
    <test>

    </test>
  </tests>
<help>

.. class:: warningmark

**TIP:** If your data is not TAB delimited, use *Convert format data Tools-&gt;Convert*

.. class:: infomark

**Authors** Fabien Gogé (IRSTEA), Virginie Rossard (INRA), Eric Latrille (INRA), Jean-Michel Roger (IRSTEA), Jean-Claude Boulet (INRA)

---------------------------------------------------

====
SORT
====

-----------
Description
-----------

Sort (ascending or descending) a input file.

-----------
Input files
-----------

**dataset**
Matrix of numeric or not data with headers (tabular format) and decimal separator ".".


+--------+-------+--------+
| Name   | 400   | 402    |
+========+=======+========+
|M102T645| 0.63  |0.64    |
+--------+-------+--------+
|M105T604| 0.5   |0.49    |
+--------+-------+--------+



----------
Parameters
----------

**Column of the dataset chosen for the sorting**

Choice of column name to  sort

**sorting**

  -ascending (alphabetic ou numerical)

  -descending (alphabetic ou numerical)


------------
Output files
------------

**sort(input.filename)**


</help>
</tool>
